Package twisted :: Package im :: Module gtkaccount

[show private | hide private]
[frames | no frames]

## Module twisted.im.gtkaccount

Classes
`AccountManager` |
`DummyAccountForm` |
`IRCAccountForm` |
`NewAccount` |
`PBAccountForm` |
`TOCAccountForm` |

Variable Summary
`string` | `GLADE_FILE`
`FakeModule` | `gtk`
`list` | `registeredTypes`
`string` | `SETTINGS_FILE`

Variable Details

### GLADE_FILE

  Type:
    `string`
  Value:

        '/home/radix/rel/Twisted-1.0.3/twisted/im/instancemessenger.glade'

### gtk

  Type:
    `FakeModule`
  Value:

        <Fake gtk>

### registeredTypes

  Type:
    `list`
  Value:

        [('Twisted', <class twisted.im.gtkaccount.PBAccountForm at 0x873252c>)\
        ,
         ('AOL Instant Messenger',
          <class twisted.im.gtkaccount.TOCAccountForm at 0x85f299c>),
         ['IRC', <class twisted.im.gtkaccount.IRCAccountForm at 0x861a994>],
         ('Dummy', <class twisted.im.gtkaccount.DummyAccountForm at 0x85e593c>\
        )]

### SETTINGS_FILE

  Type:
    `string`
  Value:

        '/home/radix/.InstanceMessenger'

Generated by Epydoc 1.1 on Sat Feb 15 21:19:02 2003 | http://epydoc.sf.net